## stress-ng 0.09.47

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.46
+VERSION=0.09.47
 #
 # Codename "portable pressure producer"
 #
@@ -261,6 +261,7 @@
 	stress-urandom.c \
 	stress-userfaultfd.c \
 	stress-utime.c \
+	stress-vdso.c \
 	stress-vecmath.c \
 	stress-vforkmany.c \
 	stress-vm.c \
