## stress-ng 0.09.50

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2018 Canonical, Ltd.
+# Copyright (C) 2013-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.49
+VERSION=0.09.50
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -g
 
 #
 # Pedantic flags
@@ -141,6 +141,7 @@
 	stress-ioport.c \
 	stress-ioprio.c \
 	stress-iosync.c \
+	stress-ipsec-mb.c \
 	stress-itimer.c \
 	stress-kcmp.c \
 	stress-key.c \
