## stress-ng 0.09.57

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.50
+VERSION=0.09.57
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -g
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
 
 #
 # Pedantic flags
@@ -89,6 +89,7 @@
 	stress-chroot.c \
 	stress-clock.c \
 	stress-clone.c \
+	stress-close.c \
 	stress-context.c \
 	stress-copy-file.c \
 	stress-cpu.c \
@@ -135,6 +136,7 @@
 	stress-hsearch.c \
 	stress-icache.c \
 	stress-icmp-flood.c \
+	stress-idle-page.c \
 	stress-inode-flags.c \
 	stress-inotify.c \
 	stress-iomix.c \
@@ -159,6 +161,7 @@
 	stress-madvise.c \
 	stress-malloc.c \
 	stress-matrix.c \
+	stress-matrix-3d.c \
 	stress-mcontend.c \
 	stress-membarrier.c \
 	stress-memcpy.c \
@@ -169,6 +172,7 @@
 	stress-mincore.c \
 	stress-mknod.c \
 	stress-mlock.c \
+	stress-mlockmany.c \
 	stress-mmap.c \
 	stress-mmapaddr.c \
 	stress-mmapfixed.c \
@@ -283,31 +287,31 @@
 # Stress core
 #
 CORE_SRC = \
-	affinity.c \
-	cache.c \
-	cpu.c \
-	helper.c \
-	ignite-cpu.c \
-	io-priority.c \
-	job.c \
-	limit.c \
-	log.c \
-	madvise.c \
-	mincore.c \
-	mlock.c \
-	mmap.c \
-	mounts.c \
-	mwc.c \
-	net.c \
-	out-of-memory.c \
-	parse-opts.c \
-	perf.c \
-	sched.c \
-	setting.c \
-	shim.c \
-	thermal-zone.c \
-	time.c \
-	thrash.c \
+	core-affinity.c \
+	core-cache.c \
+	core-cpu.c \
+	core-helper.c \
+	core-ignite-cpu.c \
+	core-io-priority.c \
+	core-job.c \
+	core-limit.c \
+	core-log.c \
+	core-madvise.c \
+	core-mincore.c \
+	core-mlock.c \
+	core-mmap.c \
+	core-mounts.c \
+	core-mwc.c \
+	core-net.c \
+	core-out-of-memory.c \
+	core-parse-opts.c \
+	core-perf.c \
+	core-sched.c \
+	core-setting.c \
+	core-shim.c \
+	core-thermal-zone.c \
+	core-time.c \
+	core-thrash.c \
 	stress-ng.c
 
 SRC = $(STRESS_SRC) $(CORE_SRC)
@@ -354,7 +358,7 @@
 
 makeconfig:
 	@if [ ! -s config ]; then \
-		$(MAKE) -f Makefile.config; \
+		STATIC=$(STATIC) $(MAKE) -f Makefile.config; \
 	fi
 
 #
@@ -378,14 +382,14 @@
 #  extract the PER_* personality enums
 #
 personality.h:
-	@$(CPP) personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
+	@$(CPP) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
 	| sed "s/.$$/,/" > personality.h
 
 stress-personality.c: personality.h
 
-perf.o: perf.c perf-event.c
-	@$(CC) $(CFLAGS) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
-	awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
+core-perf.o: core-perf.c core-perf-event.c
+	@$(CC) $(CFLAGS) -E core-perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
+	awk {'print "#define _SNG_" $$1 " (1)"'} > core-perf-event.h
 	@echo CC $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -404,9 +408,9 @@
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
-		personality.c COPYING syscalls.txt mascot README \
+		core-personality.c COPYING syscalls.txt mascot README \
 		README.Android test snap smatchify.sh config TODO \
-		perf-event.c usr.bin.pulseaudio.eg stress-version.h \
+		core-perf-event.c usr.bin.pulseaudio.eg stress-version.h \
 		example-jobs .travis.yml stress-ng-$(VERSION)
 	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)
