=== debian/changelog ===
stress-ng (0.09.57-0ubuntu5) disco; urgency=medium

  * Fix --timer-slack from consuming the following arg (LP: #1853832)
    Currently the timer slack option eats the next argument, causing
    missing argument parsing behaviour on the command line.
  * Fix mwc8() being reset when using mwc1() (LP: #1855851)
    Fic Psuedo-random 8 bit numbers from mwc8() accidentally
    being zero'd when mwc1() is called.

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2019 09:32:11 +0000

stress-ng (0.09.57-0ubuntu4) disco; urgency=medium

  * d/p/0004-stress-af-alg-handle-bind-ETIMEDOUT-failures.patch:
    retry bind() on ETIMEDOUT in case the requested module just
    gets loaded by another stress-af-alg worker. (LP: #1851553)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 06 Nov 2019 17:23:50 -0300

stress-ng (0.09.57-0ubuntu3) disco; urgency=medium

  * stress-rmap: don't hard fail on fallocate failures (LP: #1845005)
    - backport of upstream commit 38fd9c6ff96c
  * stress-mcontend: sync mmap file with zero data (LP: #1845011)
    - backport of upstream commit c3678dadee23

 -- Colin King <colin.king@canonical.com>  Tue, 24 Sep 2019 08:30:11 +0100

stress-ng (0.09.57-0ubuntu2) disco; urgency=medium

  [Alfonso Sanchez-Beato]
  * stress-numa: fix calculation of max nodes (LP: #1803468)
    - use  the count of bits in "Mems_allowed" to calculate the
      maximum number of NUMA nodes

 -- Colin King <colin.king@canonical.com>  Thu, 4 Apr 2019 17:47:11 +0100

stress-ng (0.09.57-0ubuntu1) disco; urgency=medium

  * Makefile: bump version
  * stress-zlib: make buffer in static to avoid large stack
    allocations
  * stress-sysfs: only close ctxt.kmsgd if the fd is open
  * test/test-sendmmsg: fix another resource leak of sockfd
  * stress-epoll: remove redundant initialization of ret
  * stress-fifo: remove redundant initialization of rc
  * stress-fcntl: remove redundant initialization of rc
  * stress-sysfs: fix fd leak
  * core-perf: remove redundant variable rc
  * stress-zero: ensure initialized data is being written
  * test/test-posix-fadvise: remove unused label 'err'
  * core-log: add paranoid check for localtime returning NULL
  * test/test-mremap: remove unused pointer buf
  * stress-opcode: remove redundant initialization of rc
  * test/test-inotify: remove unused variable ret
  * stress-swap: remove redundant assignment of fd to -1
  * test/test-sendmsg: close socket fd
  * stress-pty: remove redundant variable rc
  * test/test-posix-fadvise: remove redundant variable ptr
  * stress-memrate: remove redundant assignment to rc
  * stress-dev-shm: remove redundant assignment of sz_delta
  * stress-zlib: remove redundant initialization of flush
  * Make various large stack allocations static
  * stress-shm: fix end of string setting on wrong string
  * core-helper: initialize val2; cleans up static analysis warning
  * stress-pipe: use strncmp instead of strcmp on pipe stop message
  * stress-socket-fd: check for non-null addr before unlinking addr_un
  * stress-physpage: fix mapping address on failed mmap.
  * stress-zlib: fix double call to deflateEnd
  * stress-fcntl: improve checking of file creation
  * stress-shm-sysv: lock/unlock shm segment if SHM_LOCK/SHM_UNLOCK
    are defined
  * stress-af-alg: fix copy-n-paste error on pointer name
  * stress-af-alg: track unavailable af algs across multiple
    stressors (LP: #1813847)
  * stress-sysfs: add mmap and readlink operations on sysfs files

 -- Colin King <colin.king@canonical.com>  Wed, 27 Mar 2019 12:16:20 +0000

stress-ng (0.09.56-0ubuntu1) unstable; urgency=medium

  * Makefile: bump version
  * stress-bigheap: poll with keep_stressing() rather than
    g_keep_stressing_flag
  * Fix typo in sysbadaddr help, sysbaddaddr-ops ->
    sysbadaddr-ops (LP: #1820251)
  * stress-shm: paranoidly memset msg; cleans up static analysis warnings
  * stress-nice: use setpriority or nice of both are available
  * stress-zlib: fix incorrect macro name, should be
    HAVE_BUILTIN_CTZ (LP: #1820252)
  * stress-udp-flood: add some random port flooding into the mix
  * stress-procfs: exercise procfs with mmap, ioctl and poll too
  * stress-xattr: use macro for the max number of xattr settings
  * README: add pcc as another supported compiler (LP: #1820253)
  * Disable matrix-3d options when building with pcc
  * stress-ng.h: don't use sync_synchronized when building with pcc
  * stress-ng.h: make __builtin_prefetch a variadic function
  * stress-matrix-3d: disable for PCC builds as this breaks the compiler
  * stess-ng.h: fully define  __builtin_prefetch for pcc
  * Add build time check for gcc/clang label as a value feature
  * core-perf: add OOM and thermal zone trip perf stats (LP: #1820254)
  * core-perf: add filemap page cache perf stats (LP: #1820254)

 -- Colin King <colin.king@canonical.com>  Fri, 15 Mar 2019 10:55:02 +0000

stress-ng (0.09.55-0ubuntu1) unstable; urgency=medium

  * Makefile: bump version
  * Remove need for alloca.h to be build checked or included
  * Manual: update stack stressor description, it no longer uses
    alloca()
  * Add tcc as supported compilers in README
  * core-helper: add missing __dso_handle for tcc
  * Add build check for __builtin_prefetch
  * Add build-time checks for __builtin_memcpy and __builtin_memmove
  * Add implementation of __builtin_ctz for systems that don't support
    this
  * core-helper: use correct etext and edata symbols for tcc builds
  * Use correct macro name HAVE_VLA_ARG and not HAVE_VLA_ARGS
  * matrix-3d: fix all matrix-3d settings, the name should not be
    matrix_3d*
  * Add check for variable length array support in function args
  * rename TYPEOF macro to CAST_TYPEOF as it really is used for type casting
  * Add build checks for complex.h and complex type
  * stress-close: remove debug message
  * stress-close: add more pthreads, remove some protocols and fsync
  * core-helper: remove redundant null check for case where NSIG or _NSIG
    are not defined

